<?php

function iwptp_get_element_settings_header($title)
{
    return '<h2 class="iwptp-element-settings-title">
            <a href="javascript:;" class="iwptp-block-editor-lightbox-close" title="Back">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left">
                    <line x1="19" y1="12" x2="5" y2="12"></line>
                    <polyline points="12 19 5 12 12 5"></polyline>
                </svg>
            </a>
            <span>' . esc_html($title) . '</span>
        </h2>';
}

function iwptp_get_default_table_data()
{
    return [
        'query' => array(
            'include_products' => [],
            'exclude_products' => [],
            'include_taxonomies' => [],
            'exclude_taxonomies' => [],
            'product_statuses' => [],
            'price_from' => '',
            'price_to' => '',
            'orderby' => 'price',
            'order' => 'ASC',
            'limit' => 10,
            'offset' => 0,
            'hide_out_of_stock_items' => '',
            'include_product_types' => [],
            'exclude_product_types' => [],
            'include_users' => [],
            'include_skus' => '',
            'exclude_skus' => '',
            'visibility' => 'visible',
        ),
        'columns' => array(
            'laptop' => [],
            'tablet' => [],
            'phone' => [],
        ),
        'navigation' => array(
            'laptop' => array(
                'header' => array(
                    'rows' => array(
                        array(
                            'columns_enabled' => 'left-right',
                            'columns' => array(
                                'left' => array(
                                    'template' => '',
                                ),
                                'right' => array(
                                    'template' => '',
                                ),
                                'center' => array(
                                    'template' => '',
                                ),
                            ),
                        ),
                    ),
                ),
                'footer' => array(
                    'rows' => array(
                        array(
                            'columns_enabled' => 'left-right',
                            'columns' => array(
                                'left' => array(
                                    'template' => '',
                                ),
                                'right' => array(
                                    'template' => '',
                                ),
                                'center' => array(
                                    'template' => '',
                                ),
                            ),
                        ),
                    ),
                ),
                'left_sidebar' => false,
            ),
            'tablet' => false,
            'phone' => false,
        ),
        'style' => array(
            'css' => '',
            'laptop' => [
                "[container]" => [
                    "direction" => "ltr",
                ],
                "[container] .iwptp-table" => [
                    "border-bottom-width" => "",
                    "border-bottom-color" => "",
                ],
                "[container] .iwptp-heading-row" => [
                    "border-bottom-width" => "",
                    "border-bottom-color" => "",
                ],
                "[container] .iwptp-cell" => [
                    "font-family" => "",
                ],
            ],
            'tablet' => array(
                'inherit_laptop_style' => true,
                "[container] .iwptp-table" => [
                    "border-bottom-width" => "",
                    "border-bottom-color" => "",
                ],
                "[container] .iwptp-heading-row" => [
                    "border-bottom-width" => "",
                    "border-bottom-color" => "",
                ],
                "[container] .iwptp-cell" => [
                    "font-family" => "",
                ],
            ),
            'phone' => array(
                'inherit_tablet_style' => false,
                "[container] .iwptp-table" => [
                    "border-bottom-width" => "",
                    "border-bottom-color" => "",
                ],
                "[container] .iwptp-heading-row" => [
                    "border-bottom-width" => "",
                    "border-bottom-color" => "",
                ],
                "[container] .iwptp-cell" => [
                    "font-family" => "",
                ],
            ),
            'navigation' => [],
            'mini_cart' => [],
            'checkbox_trigger' => [],
        ),
        'elements' => array(
            'column' => [],
            'navigation' => [],
        ),
        'version' => IWPTPL_VERSION,
        'timestamp' => time(),
    ];
}
